For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proxies

Rotate IP

POST /orders/4g/rotate-ip/{key}

Query Parameters

Name
Type
Description

key

String

Key to rotate IP

Example request:

curl -X POST "https://apid.iproyal.com/v1/reseller/orders/4g/rotate-ip/<your_key>" \
     -H "X-Access-Token: <your_access_token>" \
     -H "Content-Type: application/json"
<?php
$api_token = '<your_access_token>';
$key = '<your_key>';

$url = "https://apid.iproyal.com/v1/reseller/orders/4g/rotate-ip/$key";

$options = [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_HTTPHEADER => [
        "X-Access-Token: $api_token",
        'Content-Type: application/json'
    ]
];

$ch = curl_init();
curl_setopt_array($ch, $options);
$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
} else {
    echo $response;
}

curl_close($ch);
?>

Last updated

Was this helpful?